<?php

namespace App\Http\Controllers;

use App\Models\Account;
use Illuminate\Http\Request;

class AccountController extends Controller
{
    public function store(Request $request)
    {
        // Validate the incoming data
        $validatedData = $request->validate([
            'date' => 'required|date',
            'memo' => 'required|string',
            'check_number' => 'required|string',
            'bank_account' => 'required|string',
            'committed_amount' => 'required|numeric',
            'user' => 'required|string',
            'payer_name' => 'required|string',
            'payer_address' => 'required|string',
            'payer_signer' => 'required|string'
        ]);

        // Create and store the new account record
        $account = Account::create($validatedData);

        // Return a success response
        return response()->json([
            'message' => 'Account record created successfully',
            'data' => $account
        ], 201);
    }
}
