<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class CheckDetailsMail extends Mailable
{
    use Queueable, SerializesModels;

    public $check;
    public $attachmentPath;

    public function __construct($check, $attachmentPath)
    {
        $this->check = $check;
        $this->attachmentPath = $attachmentPath;
    }

    public function build()
    {
        return $this->subject('Check Details')
            ->markdown('emails.check_details')
            ->with(['check' => $this->check])
            ->attach($this->attachmentPath);
    }
}
