<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Check extends Model
{
    use HasFactory;

    protected $fillable = [
          'transaction_id',
        'nonce',
        'date',
        'amount',
        'number',
        'memo',
        'payee',
        'bank',
        'payer',
        'signer',
        'payer_email',
        'checkeeper_id',
        'delivery_method',
        'to_address',
        'from_address',
        'from_address_name',
        'from_address_line1',
        'from_address_line2',
        'from_address_city',
        'from_address_state',
        'from_address_zip',
        'from_address_country',
        'to_address_name',
        'to_address_line1',
        'to_address_city',
        'to_address_state',
        'to_address_zip',
        'to_address_country',
        'pdf'
    ];

    protected $casts = [
        'payee' => 'array',
        'bank' => 'array',
        'payer' => 'array',
        'signer' => 'array',
        'to_address' => 'array',
        'from_address' => 'array',
    ];
    
    public function transaction()
    {
        return $this->hasOne(Transaction::class, 'check_id');
    }
    
    public function payer()
{
    return $this->hasOne(Payer::class); // Update relationship as necessary
}

}
