<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class PlaidAccount extends Model
{
     protected $table = 'plaid_accounts';
    
    protected $fillable = [
        'user_id',
        'access_token',
        'item_id',
        'name',
        'type',
        'subtype',
        'balances', // If balances are stored as a JSON column
    ];

    protected $casts = [
        'balances' => 'array', // Cast balances to an array
    ];

    /**
     * Get the user that owns the Plaid account.
     */
    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
    
    public function balances()
    {
        return $this->hasMany(PlaidAccountBalance::class, 'plaid_account_id');
    }

}
