<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Gate;
use App\Models\Check;

class AuthServiceProvider extends ServiceProvider
{
    public function boot()
    {
        $this->registerPolicies();
    
        // Define a Gate for sending mail for a check
        Gate::define('sendMail', function ($user, Check $check) {
            // Implement the logic to authorize the user, e.g., check if the user is an admin
            // You can add more complex authorization logic here
            return $user->id === $check->user_id; // Example: Allow if the user owns the check
        });
    }
}