<!-- resources/views/emails/check_details.blade.php -->

@component('mail::message')
# Your Check Details

Dear {{ $check->payer['line1'] }},

Thank you for your commitment. Here are the details of your issued check:

- **Check Number:** {{ $check->number }}
- **Amount:** ${{ number_format($check->amount / 100, 2) }}
- **Date Issued:** {{ \Carbon\Carbon::parse($check->created)->toFormattedDateString() }}
- **Check ID:** {{ $check->checkeeper_id }}

@if($check->memo)
**Memo:** {{ $check->memo }}
@endif

@if(isset($check->signer['value']))
**Signer Name:** {{ $check->signer['value'] }}
@endif

@component('mail::button', ['url' => 'https://yourapp.com/checks/' . $check->id])
View Check Details
@endcomponent

Thanks,<br>
{{ config('app.name') }}
@endcomponent
