<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AccountController;
use App\Http\Controllers\CheckController;
use App\Http\Controllers\SpreadsheetWebhookController;
use App\Http\Controllers\TransactionController;


Route::post('/store-account', [AccountController::class, 'store']);




Route::post('/check', [CheckController::class, 'create']);

Route::prefix('transactions')->group(function () {
    Route::post('/', [TransactionController::class, 'store']);
    Route::get('/{id}', [TransactionController::class, 'show']);
    Route::put('/{id}', [TransactionController::class, 'update']);
    Route::delete('/{id}', [TransactionController::class, 'destroy']);
});


Route::get('/api/create-check-for-investor/{id}', [CheckController::class, 'createCheckForInvestor']);
Route::get('/api/check/{id}', [CheckController::class, 'getSpreadsheetData']);

Route::post('/webhook/spreadsheet', [SpreadsheetWebhookController::class, 'store']);
Route::get('/voided-investors', function() {
    return view('voided-investors');
})->name('voided-investors');

Route::post('/checks/store', [CheckController::class, 'store']);