<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Plaid Link</title>
    <script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>
    <?php echo app('Illuminate\Foundation\Vite')('resources/css/app.css'); ?> <!-- Tailwind -->
</head>
<body class="bg-gray-100 flex items-center justify-center h-screen">
    <div>
        <button id="link-button" class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">
            Connect Your Bank
        </button>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', async () => {
            try {
                // Fetch the link token from the server
                const response = await fetch('/plaid/link-token');
                const data = await response.json();

                if (!data.link_token) {
                    throw new Error('Link token could not be retrieved');
                }

                // Initialize Plaid Link
                const handler = Plaid.create({
                    token: data.link_token,
                    onSuccess: (public_token, metadata) => {
                        console.log('Public Token:', public_token);
                        console.log('Metadata:', metadata);

                        // Send the public_token to your server for exchange
                        fetch('/plaid/exchange-token', {
                            method: 'POST',
                            headers: {
                                'Content-Type': 'application/json',
                                'X-CSRF-TOKEN': '<?php echo e(csrf_token()); ?>',
                            },
                            body: JSON.stringify({ public_token }),
                        })
                        .then(response => response.json())
                        .then(data => {
                            alert('Account linked successfully!');
                            console.log(data);
                        })
                        .catch(error => console.error('Error:', error));
                    },
                    onExit: (err, metadata) => {
                        console.log('User exited:', metadata);
                    },
                });

                // Attach to button
                document.getElementById('link-button').addEventListener('click', () => {
                    handler.open();
                });
            } catch (error) {
                console.error('Error initializing Plaid:', error);
            }
        });
    </script>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\testing-api\resources\views/plaid.blade.php ENDPATH**/ ?>