<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
     <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>Spreadsheet Data</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>

<body class="bg-gradient-to-r from-blue-50 to-purple-50 min-h-screen flex flex-col">
    <!-- Navbar -->
    <nav class="bg-[#1a8481] text-white py-4 shadow-md">
        <div class="container mx-auto flex justify-between items-center px-6">
            <div class="text-xl font-bold">FundBaseCamp</div>
            <div class="flex space-x-4">
                <a href="/accounts" class="text-white hover:text-gray-200 transition">Verified Investors</a>
                <a href="/checks" class="text-white hover:text-gray-200 transition">Check Generation</a>
                <!-- Logout Form -->
                <form method="POST" action="/logout" class="inline">
                    <?php echo csrf_field(); ?>
                    <button type="submit" class="text-white hover:text-gray-200 transition">Logout</button>
                </form>
            </div>
        </div>
    </nav>

    <!-- Container -->
    <div class="flex-grow w-full max-w-8xl bg-white rounded-xl shadow-lg p-8 mx-auto">
        <!-- Heading -->
        <!-- Title -->
        <h1 class="text-4xl font-semibold text-gray-800 mb-4 text-center">Upload Attachments</h1>

        <!-- Subtitle -->
        <p class="text-gray-600 mb-8 text-center"></p>
  <div class="overflow-x-auto">
    <h1>Upload Attachment</h1>

    <?php if(session('success')): ?>
        <div class="alert alert-success">
            <?php echo e(session('success')); ?>

        </div>
    <?php endif; ?>

    <?php if($errors->any()): ?>
        <div class="alert alert-danger">
            <ul>
                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <form action="<?php echo e(route('attachments.store')); ?>" method="POST" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="form-group">
            <label for="attachment">Choose PDF, PNG, or JPG file:</label>
            <input type="file" name="attachment" id="attachment" class="form-control" required accept=".pdf,.png,.jpg,.jpeg">
        </div>
        <br>
        <button type="submit" class="btn btn-primary">Upload</button>
    </form>

    <?php if($attachment): ?>
        <hr>
        <h3>Current Attachment:</h3>
        <p><strong>File Name:</strong> <?php echo e($attachment->file_name); ?></p>
        <p><strong>Base64 Content:</strong></p>
        <textarea class="form-control" rows="10" readonly><?php echo e($attachment->base64_content); ?></textarea>
    <?php endif; ?>
</div>
</body>
</html>
<?php /**PATH /home/fundbase/public_html/payment/resources/views/attachments/create.blade.php ENDPATH**/ ?>