<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Register</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100 flex items-center justify-center min-h-screen">
    <div class="w-full max-w-md bg-white rounded-lg shadow-md p-8 space-y-6">
        <form method="POST" action="<?php echo e(route('register')); ?>" class="space-y-6">
            <!-- CSRF Token -->
            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">

            <!-- Name -->
            <div>
                <label for="name" class="block text-base font-medium text-gray-700">Name</label>
                <input id="name" type="text" name="name" 
                       class="mt-2 w-full px-4 py-2 border border-gray-300 rounded-lg shadow-sm focus:ring-indigo-500 focus:border-indigo-500 text-gray-900" 
                       required autofocus autocomplete="name">
                <p class="mt-2 text-sm text-red-600 hidden" id="name-error">
                    <!-- Name error message dynamically shown here -->
                </p>
            </div>

            <!-- Email Address -->
            <div>
                <label for="email" class="block text-base font-medium text-gray-700">Email</label>
                <input id="email" type="email" name="email" 
                       class="mt-2 w-full px-4 py-2 border border-gray-300 rounded-lg shadow-sm focus:ring-indigo-500 focus:border-indigo-500 text-gray-900" 
                       required autocomplete="username">
                <p class="mt-2 text-sm text-red-600 hidden" id="email-error">
                    <!-- Email error message dynamically shown here -->
                </p>
            </div>

            <!-- Password -->
            <div>
                <label for="password" class="block text-base font-medium text-gray-700">Password</label>
                <input id="password" type="password" name="password" 
                       class="mt-2 w-full px-4 py-2 border border-gray-300 rounded-lg shadow-sm focus:ring-indigo-500 focus:border-indigo-500 text-gray-900" 
                       required autocomplete="new-password">
                <p class="mt-2 text-sm text-red-600 hidden" id="password-error">
                    <!-- Password error message dynamically shown here -->
                </p>
            </div>

            <!-- Confirm Password -->
            <div>
                <label for="password_confirmation" class="block text-base font-medium text-gray-700">Confirm Password</label>
                <input id="password_confirmation" type="password" name="password_confirmation" 
                       class="mt-2 w-full px-4 py-2 border border-gray-300 rounded-lg shadow-sm focus:ring-indigo-500 focus:border-indigo-500 text-gray-900" 
                       required autocomplete="new-password">
                <p class="mt-2 text-sm text-red-600 hidden" id="password-confirmation-error">
                    <!-- Confirm password error message dynamically shown here -->
                </p>
            </div>

            <!-- Submit Button -->
            <div class="flex justify-end">
                <button type="submit" 
                        class="w-full py-3 bg-indigo-600 text-white text-base font-medium rounded-lg shadow-md hover:bg-indigo-500 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2">
                    Register
                </button>
            </div>

            <div class="flex items-center justify-between mt-4">
                <a class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500" href="<?php echo e(route('login')); ?>">
                    Already registered?
                </a>
            </div>
        </form>
    </div>
</body>
</html>
<?php /**PATH /home/fundbase/public_html/payment/resources/views/auth/register.blade.php ENDPATH**/ ?>