<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Linked Bank Accounts</title>
    <script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>
    <?php echo app('Illuminate\Foundation\Vite')('resources/css/app.css'); ?> <!-- Tailwind -->
</head>

<body class="bg-gradient-to-r from-blue-50 to-purple-50 flex items-center justify-center h-screen">

    <!-- Container -->
    <div class="w-full max-w-4xl bg-white rounded-xl shadow-lg p-8">
        <!-- Heading -->
        <h1 class="text-4xl font-semibold text-gray-800 mb-8 text-center">Linked Bank Accounts</h1>

        <!-- Table -->
        <table class="table-auto w-full border-separate border-spacing-0 shadow-md">
            <thead>
                <tr class="bg-[#1a8481] text-white">
                    <th class="px-6 py-3 text-left font-semibold text-lg">Account Name</th>
                    <th class="px-6 py-3 text-left font-semibold text-lg">Account Type</th>
                    <th class="px-6 py-3 text-left font-semibold text-lg">Balances</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $accounts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $account): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="hover:bg-blue-50 transition-colors duration-300">
                        <td class="border-b px-6 py-4 text-gray-700"><?php echo e($account->name); ?></td>
                        <td class="border-b px-6 py-4 text-gray-700"><?php echo e($account->type); ?></td>
                        <td class="border-b px-6 py-4">
                            <?php if($account->balances): ?>
                                <span class="text-green-500 font-semibold">
                                    $<?php echo e(number_format(json_decode($account->balances)->available, 2)); ?>

                                </span>
                            <?php else: ?>
                                <span class="text-red-500">N/A</span>
                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>

</body>

</html>
<?php /**PATH C:\laragon\www\testing-api\resources\views/accounts/index.blade.php ENDPATH**/ ?>