<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>Connect your Bank Account</title>
    <script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>
    <script src="https://cdn.tailwindcss.com"></script>
    
</head>

<body class="bg-gradient-to-r from-blue-50 via-white to-blue-50 min-h-screen flex items-center justify-center">

    <!-- Main Container -->
    <div class="bg-white shadow-2xl rounded-lg p-8 max-w-lg w-full">
        <h1 class="text-3xl font-semibold text-gray-800 text-center mb-6">Connect & Pay</h1>
        <p class="text-lg text-gray-600 text-center mb-8">
            Link your bank account securely to complete payment.
        </p>


        <!-- Action Buttons -->
        <div class="flex justify-center space-x-6 mb-6">
<script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>

            <!-- Connect Bank Button -->
<button id="link-button" class="bg-blue-600 hover:bg-blue-700 text-white font-semibold py-3 px-8 rounded-xl shadow-md transform transition duration-300 hover:scale-105 focus:outline-none focus:ring-2 focus:ring-blue-400 focus:ring-opacity-50">Verify Account</button>
            <!-- Redirect Button -->
               
            
    

        </div>

        <!-- Terms and Privacy Links -->
        <div class="text-center text-sm text-gray-500">
            By connecting your account, you agree to our <a href="#" class="text-blue-600 hover:underline">Terms of
                Service</a> and <a href="#" class="text-blue-600 hover:underline">Privacy Policy</a>.
        </div>
    </div>
<script src="https://cdn.plaid.com/link/v2/stable/link-initialize.js"></script>
<script>
   document.getElementById('link-button').addEventListener('click', async () => {
    const csrfToken = document.querySelector('meta[name="csrf-token"]').getAttribute('content');
    
    const response = await fetch('/plaid/link-token', {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json',
            'X-CSRF-TOKEN': csrfToken,
        }
    });

    const data = await response.json();
    const handler = Plaid.create({
        token: data.link_token,
        onSuccess: async (public_token, metadata) => {
            const exchangeResponse = await fetch('/plaid/exchange-public-token', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'X-CSRF-TOKEN': csrfToken,
                },
                body: JSON.stringify({ public_token })
            });

            const exchangeData = await exchangeResponse.json();
            if (exchangeData.status === 'success' && exchangeData.redirect_url) {
                // Redirect to the specified URL
                window.location.href = exchangeData.redirect_url;
            }
        },
    });
    handler.open();
});

</script>

</body>

</html><?php /**PATH /home/fundbase/public_html/payment/resources/views/plaidRedcapital.blade.php ENDPATH**/ ?>