<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100 flex items-center justify-center min-h-screen">
    <div class="w-full max-w-md bg-white rounded-lg shadow-md p-8 space-y-6">
        <!-- Session Status -->
        <div id="session-status" class="text-sm text-green-600 hidden">
            <!-- Session status message dynamically shown here -->
        </div>

        <form method="POST" action="<?php echo e(route('login')); ?>" class="space-y-6">
            <!-- CSRF Token -->
            <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">

            <!-- Email Address -->
            <div>
                <label for="email" class="block text-base font-medium text-gray-700">Email</label>
                <input id="email" type="email" name="email" 
                       class="mt-2 w-full px-4 py-2 border border-gray-300 rounded-lg shadow-sm focus:ring-indigo-500 focus:border-indigo-500 text-gray-900" 
                       required autofocus autocomplete="username">
                <p class="mt-2 text-sm text-red-600 hidden" id="email-error">
                    <!-- Email error message dynamically shown here -->
                </p>
            </div>

            <!-- Password -->
            <div>
                <label for="password" class="block text-base font-medium text-gray-700">Password</label>
                <input id="password" type="password" name="password" 
                       class="mt-2 w-full px-4 py-2 border border-gray-300 rounded-lg shadow-sm focus:ring-indigo-500 focus:border-indigo-500 text-gray-900" 
                       required autocomplete="current-password">
                <p class="mt-2 text-sm text-red-600 hidden" id="password-error">
                    <!-- Password error message dynamically shown here -->
                </p>
            </div>

            <!-- Remember Me -->
            <div class="flex items-center">
                <input id="remember_me" type="checkbox" name="remember" 
                       class="rounded border-gray-300 text-indigo-600 focus:ring-indigo-500">
                <label for="remember_me" class="ml-3 text-sm text-gray-600">Remember me</label>
            </div>

            <!-- Submit Button -->
            <div class="flex justify-end">
                <button type="submit" 
                        class="w-full py-3 bg-indigo-600 text-white text-base font-medium rounded-lg shadow-md hover:bg-indigo-500 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2">
                    Log in
                </button>
            </div>
        </form>
    </div>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\testing-api\testing-api\resources\views/auth/login.blade.php ENDPATH**/ ?>